
VIRTUAL CREDIT CARD - Bug #16492

Android [TREATS] Please add additional logic checking before UPAY card checking

15 May 2023 04:22 PM - hsulynn pang

Status: Closed Start date: 15 May 2023

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Please add additional logic checking before UPAY card checking

-if BE return treats flag: true, then FE do the UPAY card checking

-if BE return treats flag: false, then FE dont need to do the UPAY card checking

History

#1 - 15 May 2023 04:28 PM - hsulynn pang

Please add additional logic checking before UPAY card checking

-if BE return treats flag: true, then FE do the UPAY card checking

-if BE return treats flag: false, then FE dont need to do the UPAY card checking (FE dont need to show the My Treats button)

#2 - 15 May 2023 05:44 PM - Abdul Halim Baharom

- Status changed from New to In Progress

#3 - 15 May 2023 08:57 PM - hsulynn pang

- File treats flag false UPAY bin.PNG added

- File treats flag non UPAY bin.PNG added

#4 - 16 May 2023 01:35 PM - hsulynn pang

- File deleted (treats flag non UPAY bin.PNG)

#5 - 16 May 2023 01:35 PM - hsulynn pang

- File deleted (treats flag false UPAY bin.PNG)

#6 - 16 May 2023 01:36 PM - hsulynn pang

- File treatsflag true upay.PNG added

- File treatsflag false upay.PNG added

- File treatsflag false non upay 2.PNG added

- File treatsflag true non upay.PNG added

tested

#7 - 16 May 2023 02:12 PM - Abdul Halim Baharom

- Status changed from In Progress to Resolved

- Assignee changed from Abdul Halim Baharom to hsulynn pang

#8 - 17 May 2023 04:19 PM - hsulynn pang

- File treatsflag true bin upay.PNG added
tested

#9 - 17 May 2023 05:00 PM - hsulynn pang

- Status changed from Resolved to Closed

tested

Files

treatsflag false upay.PNG 431 KB 16 May 2023 hsulynn pang

treatsflag true upay.PNG 433 KB 16 May 2023 hsulynn pang

treatsflag false non upay 2.PNG 419 KB 16 May 2023 hsulynn pang

treatsflag true non upay.PNG 454 KB 16 May 2023 hsulynn pang

treatsflag true bin upay.PNG 445 KB 17 May 2023 hsulynn pang
